#include <xmms/plugin.h>
#include <xmms/configfile.h>
#include <xmms/util.h>

#include "ayemu.h"
#include "xmms-vtx.h"

void vtx_file_info(char *filename)
{
  static GtkWidget *box;
  ayemu_vtx_t vtx;

  if (!ayemu_vtx_open(&vtx, filename))
    {
      fprintf(stderr, "Can't open file %s\n", filename);
      return;
    }
  else
    {
      char head[1024];
      char body[8192];

      sprintf(head, "Detalis about %s", filename);

	  ayemu_vtx_sprintname(&vtx, body, sizeof(body),
	      "Title: %t\n"
	      "Author: %a\n"
	      "From : %f\n"
	      "Tracker : %T\n"
	      "Comment : %C\n"
	      "Chip type: %c\n"
	      "Stereo: %s\n"
	      "Loop: %l\n"
	      "Chip freq: %F\n"
	      "Player Freq:%P\n"
	      "Year: %y");
      
      box = xmms_show_message (head,
			       body,
			       _("Ok"), FALSE, NULL, NULL);
      
      
    }
  
  gtk_signal_connect (GTK_OBJECT (box), "destroy", gtk_widget_destroyed,
		      &box);
}
